Subject: Pine 3.91 and Intel NEXTSTEP

From: GH Chinoy <[email-masked]>
Date: Fri, 14 Oct 1994 13:53:06 -0500 (CDT)

Hi, everyone,

	I'm getting linking errors (ld) when I try to do a simple: build nxt 
on my Pentium running NEXTSTEP.

	Any clues?  I'm including the awfully long output
  ___	 __________________________________________________________
 /\__\          G. Hussain Chinoy
 \/__/          Head Consultant, Arts & Sciences NeXT Lab
NEXTSTEP        Washington University in St. Louis
                [email-masked]

avocado:/usr/local/src/pine3.91 root# build nxt  
make args are "CC=cc"

c-client/c-client: File exists
imapd/imapd: File exists
Making c-client library, mtest and imapd
make build SYSTYPE=ANSI OS=nxt
echo nxt > OSTYPE
rm -rf systype
ln -s ANSI systype
cd ANSI/c-client; make nxt
make mtest OS=nxt EXTRADRIVERS=""  STDPROTO=bezerkproto  CFLAGS="-g -O -pipe "
./drivers  imap nntp pop3 mh mtx tenex mmdf bezerk news phile dummy
rm -f OSTYPE CFLAGS LDFLAGS osdep.h
echo nxt > OSTYPE
echo -g -O -pipe  > CFLAGS
echo   > LDFLAGS
ln -s os_nxt.h osdep.h
cc -g -O -pipe  -c mail.c
cc -g -O -pipe  -c bezerk.c
cc -g -O -pipe  -c mtx.c
cc -g -O -pipe  -c tenex2.c
cc -g -O -pipe  -c mbox.c
cc -g -O -pipe  -c mh.c
cc -g -O -pipe  -c mmdf.c
cc -g -O -pipe  -c imap2.c
cc -g -O -pipe  -c pop3.c
cc -g -O -pipe  -c news.c
cc -g -O -pipe  -c nntpcunx.c
cc -g -O -pipe  -c phile.c
cc -g -O -pipe  -c dummy.c
cc -g -O -pipe  -c smtp.c
cc -g -O -pipe  -c nntp.c
cc -g -O -pipe  -c rfc822.c
cc -g -O -pipe  -c misc.c
cc -g -O -pipe  -DSTDPROTO=bezerkproto  -DRSH=\"rsh\" -DRSHPATH=\"/usr/ucb/rsh\"   -c 
os_nxt.c
mv os_nxt.o osdep.o
cc -g -O -pipe  -c sm_unix.c
cc -g -O -pipe  -c newsrc.c
rm -f c-client.a
ar rc c-client.a mail.o bezerk.o mtx.o tenex2.o mbox.o mh.o mmdf.o imap2.o pop3.o  news.o 
nntpcunx.o phile.o dummy.o smtp.o nntp.o rfc822.o misc.o  osdep.o sm_unix.o newsrc.o
ranlib c-client.a
cc -g -O -pipe  -c mtest.c
cc -g -O -pipe  -o mtest mtest.o c-client.a 
cd ANSI/ms;make
If CCMD library is not available, ms will not be made.
This is alright since ms is only a demonstration program.
../../../ccmd directory not found, so make.ms is ignored
cd ANSI/ipopd;make
cc -I../c-client `cat ../c-client/CFLAGS` -c ipop2d.c
cc -I../c-client `cat ../c-client/CFLAGS` -o ipop2d ipop2d.o ../c-client/c-client.a `cat 
../c-client/LDFLAGS`
cc -I../c-client `cat ../c-client/CFLAGS` -c ipop3d.c
cc -I../c-client `cat ../c-client/CFLAGS` -o ipop3d ipop3d.o ../c-client/c-client.a `cat 
../c-client/LDFLAGS`
cd ANSI/imapd;make
cc -I../c-client `cat ../c-client/CFLAGS` -c imapd.c
cc -I../c-client `cat ../c-client/CFLAGS` -o imapd imapd.o ../c-client/c-client.a `cat 
../c-client/LDFLAGS`

Making Pico
rm -f osdep.c
cp os_unix.c osdep.c
rm -f osdep.h
cp os_unix.h osdep.h
cc -c -Dnxt -DJOB_CONTROL -DANSI -g attach.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g ansi.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g basic.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g bind.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g browse.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g buffer.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g composer.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g display.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g file.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g fileio.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g line.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g osdep.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g pico.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g random.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g region.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g search.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g spell.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g tcap.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g window.c
cc -c -Dnxt -DJOB_CONTROL -DANSI -g word.c
ar ru libpico.a attach.o ansi.o basic.o bind.o browse.o buffer.o  composer.o display.o 
file.o fileio.o line.o osdep.o  pico.o random.o region.o search.o spell.o tcap.o window.o 
word.o
ar: creating libpico.a
ranlib libpico.a
cc -Dnxt -DJOB_CONTROL -DANSI -g main.c libpico.a -ltermcap -o pico

Making Pine.
rm -f os.h
ln -s osdep/os-nxt.h os.h
./cmplhlp2.sh  < pine.hlp > helptext.h
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c addrbook.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c adrbklib.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c args.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c context.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c filter.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c folder.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c help.c
./cmplhelp.sh  < pine.hlp > helptext.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c helptext.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c imap.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c init.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c mailcap.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c mailcmd.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c mailindx.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c mailpart.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c mailview.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c newmail.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c other.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c pine.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c print.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c reply.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c screen.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c send.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c signals.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c status.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c strings.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c ttyin.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c ttyout.c
cd osdep; make includer os-nxt.c; cd ..
cc -o includer includer.c
./includer < os-nxt.ic > os-nxt.c
rm -f os.c
ln -s osdep/os-nxt.c os.c
cc -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -c os.c
echo "char datestamp[]="\"`date`\"";" > date.c
cc -c -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -o date.o date.c
cc  -DNXT -O  -g -DDEBUG -DSYSTYPE=\"NXT\" -o pine addrbook.o adrbklib.o args.o context.o 
filter.o  folder.o help.o helptext.o imap.o init.o mailcap.o mailcmd.o  mailindx.o 
mailpart.o mailview.o newmail.o other.o pine.o print.o  reply.o screen.o send.o signals.o 
status.o strings.o ttyin.o  ttyout.o os.o date.o ../pico/libpico.a ../c-client/c-client.a 
-ltermlib
ld: warning ../c-client/c-client.a archive's cputype (6, architecture m68k) does not 
match cputype (7 architecture i386) of objects files previously loaded (can't load from it)
ld: Undefined symbols:
_fs_get
_fs_give
_cpystr
_rfc822_write_address
_mail_free_address
_rfc822_parse_adrlist
_mail_newaddr
_mail_fetchstructure
_fs_resize
_mail_find
_mail_find_bboards
_mail_find_all
_mail_find_all_bboard
_mail_open
_mail_create
_mail_rename
_mail_delete
_mail_append
_mail_append_full
_mail_copy
_mail_subscribe
_mail_unsubscribe
_mail_subscribe_bboard
_mail_close
_mail_unsubscribe_bboard
_mail_valid
_mail_valid_net
_rfc822_date
_mail_valid_net_parse
_mail_parameters
_lcase
_mail_fetchflags
_mail_elt
_mail_expunge
_mail_check
_mail_setflag
_mail_clearflag
_mail_fetchheader
_mail_fetchtext
_mail_string
_mail_date
_mail_search
_mail_fetchfrom
_mail_fetchsubject
_body_encodings
_mail_fetchbody
_mail_ping
_imapdriver
_mail_link
_nntpdriver
_pop3driver
_mhdriver
_mtxdriver
_tenexdriver
_mmdfdriver
_bezerkdriver
_newsdriver
_philedriver
_dummydriver
_default_proto
_mail_newenvelope
_mail_newbody
_mail_newbody_part
_mail_free_envelope
_rfc822_cpy_adr
_mail_newbody_parameter
_smtp_open
_tcp_host
_smtp_close
_smtp_send
_rfc822_address
_smtp_rcpt
_smtp_fake
_smtp_soutr
_rfc822_header_line
_rfc822_address_line
_body_types
_rfc822_default_subtype
_tspecials
_rfc822_cat
_mail_free_body_parameter
_nntp_open
_tcp_localhost
_tcp_soutr
*** Exit 1
Stop.

Links to executables are in bin directory:
__TEXT  __DATA  __OBJC  others  dec     hex
size: can't open file: bin/pine (No such file or directory)
172032  8192    0       573440  753664  b8000   bin/mtest
188416  16384   0       589824  794624  c2000   bin/imapd
106496  8192    0       335872  450560  6e000   bin/pico
Done